Banner(1.8)

NAME
Banner - the AfterStep start-up banner displaying module

SYNOPSIS
Banner [-v | --version] [-h | --help] [image]

Although Banner can be run from the command line, it is normally spawned by afterstep in the autoexec file, in the following manner:

	Module	"I"	Banner
	Wait		"I"	Banner

or from within an afterstep menu file by 'Banner':

% cat "~/GNUstep/Library/AfterStep/start/Modules/Banner"
	Module "Banner" Banner
	MiniPixmap "mini-as.xpm"
To stop the Banner module, a menu item can be used:

% cat "~/GNUstep/Library/AfterStep/start/Modules/Banner_Stop"
	KillModuleByName "Stop Banner" Banner
	MiniPixmap "mini-as.xpm"

DESCRIPTION
The Banner module displays an AfterStep Logo in the center of the screen for 3 seconds.

OPTIONS

-h | --help
    Print a usage message and exit successfully.

-v | --version
    Print version information and exit successfully.

INITIALIZATION
During initialization, Banner will accept a command line parameter of the pixmap to display, i.e. Banner Afterstep_logo-2.xpm.

INVOCATION
Banner can be invoked from the autoexec file or from binding the action "Module Banner [image] to a key-stroke in a feel file, or from a menu as shown in the Synopsis section above. AfterStep will search through the directories specified in the ModulePath configuration in the base.#bpp (where # is your colordepth) to attempt to locate Banner.

CONFIGURATION OPTIONS
Banner has no configuration file.

AUTHOR
Robert Depenbrock <robert@eclipse.asta.uni-essen.de>
Robert Nation
David Mihm <dmihm@swbell.net> [Man page]

SEE ALSO
afterstep(1)